# ``igraph`.`drawing`.`matplotlib`.`histogram`.`MatplotlibHistogramDrawer``

class documentation

`class MatplotlibHistogramDrawer(AbstractDrawer): (source)`

Constructor: `MatplotlibHistogramDrawer(ax)`

View In Hierarchy

Matplotlib drawer object for matrices.

Method | `__init__` | Constructs the drawer and associates it to the given Axes.
Method | `draw` | Draws the given Matrix in a matplotlib Axes.
Instance Variable | `context` | Undocumented

def __init__(self, ax): (source)

Constructs the drawer and associates it to the given Axes.

Parameters
ax | the Axes on which we will draw

def draw(self, matrix, **kwds): (source)
overrides `igraph.drawing.baseclasses.AbstractDrawer.draw`

Draws the given Matrix in a matplotlib Axes.

Parameters
matrix | the igraph.Histogram to plot.
**kwds | Undocumented

context = (source)

Undocumented